View Issue Details

IDProjectCategoryView StatusLast Update
0016283LazarusIDEpublic2011-12-01 11:23
ReporterImantsAssigned ToVincent Snijders 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version0.9.28.3 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0016283: GLUt unit
Descriptionif I include Glut unit in mu project and press Ctrl+space IDE jumps to
GLUt unit line 443 and shows error

C:\lazarus\fpc\2.4.0\source\packages\opengl\src\glut.pp(443,52) Error: expected end., but mode_inline found


OLD_glutGameModeGet:function(mode : GLenum): integer; extdecl;

procedure glutInit(argcp: PInteger; argv: PPChar); mode_inline; //<== Error is here
procedure glutInitDisplayMode(mode: Cardinal); mode_inline;

I am using Windows XP 32 bit

Compiler compile all my project without any problem.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Vincent Snijders

2010-04-16 20:23

manager   ~0036750

I think this issue has already been fixed in 0.9.29, please try that version.

Imants

2010-04-17 09:17

reporter   ~0036756

Thank god. It is really solved in version 0.9.29. It was so annoying. I couldn't practically work.
But now it is Ok.

Issue History

Date Modified Username Field Change
2010-04-16 13:34 Imants New Issue
2010-04-16 13:34 Imants Widgetset => Win32/Win64
2010-04-16 20:23 Vincent Snijders LazTarget => -
2010-04-16 20:23 Vincent Snijders Note Added: 0036750
2010-04-16 20:23 Vincent Snijders Status new => feedback
2010-04-17 09:17 Imants Note Added: 0036756
2010-04-17 12:02 Vincent Snijders Status feedback => resolved
2010-04-17 12:02 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2010-04-17 12:02 Vincent Snijders Resolution open => fixed
2010-04-17 12:02 Vincent Snijders Assigned To => Vincent Snijders
2011-12-01 11:23 Marc Weustink Status resolved => closed